#ifndef _IIR_H_
#define _IIR_H_
#include <stdbool.h>
#include <stdint.h>
#include "nrf.h"
#include "string.h"
#include "arm_math.h"

void FilterInit(void);
void arm_iir_f32_bs(void);
void arm_iir_f32_bp(void);

void bs_bp(float32_t *bpinputF32_IN,float32_t *bsoutputF32_IN);

float math_caculate_signal(uint16_t sampleHz);

#endif



